<?php
/**
 * $Horde: watson/index.php,v 1.11 2007/02/21 10:25:28 jan Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar  <jan.zagar@siol.net>
 */

@define('WATSON_BASE', dirname(__FILE__));
$watson_configured = (is_readable(WATSON_BASE . '/config/conf.php') &&
                      is_readable(WATSON_BASE . '/config/prefs.php') &&
                      is_readable(WATSON_BASE . '/config/sources.php'));

if (!$watson_configured) {
    require WATSON_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('watson', WATSON_BASE,
                                   array('conf.php', 'sources.php', 'prefs.php'));
}

require WATSON_BASE . '/now.php';
