<?php
/**
 * $Horde: jonah/content_edit.php,v 1.8 2007/06/27 17:23:48 jan Exp $
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */

@define('WATSON_BASE', dirname(__FILE__));
require_once WATSON_BASE . '/lib/base.php';
require_once 'Horde/Block/Collection.php';
require_once 'Horde/Block/Layout/Manager.php';

// Instantiate the blocks objects.
$blocks = &Horde_Block_Collection::singleton('programi', array('watson'));
$layout = &Horde_Block_Layout_Manager::singleton('programi', $blocks, $prefs->getValue('watson_layout'));

// Handle requested actions.
$layout->handle(Util::getFormData('action'),
                (int)Util::getFormData('row'),
                (int)Util::getFormData('col'));
if ($layout->updated()) {
    $prefs->setValue('watson_layout', $layout->serialize());
}

$title = _("My Programs :: Add Content");
require WATSON_TEMPLATES . '/common-header.inc';
echo '<div id="menu">' . Watson::getMenu('string') . '</div>';
$notification->notify(array('listeners' => 'status'));
require $registry->get('templates', 'horde') . '/portal/edit.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
